## org.apache.batik.ext.awt.image.rendered
Class AffineRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.AffineRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class AffineRed
extends AbstractRed

This is an implementation of an affine operation as a RenderedImage. Right now the implementation makes use of the AffineBufferedImageOp to do the work. Eventually this may move to be more tiled in nature.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`AffineRed(CachableRed src, java.awt.geom.AffineTransform src2me, java.awt.RenderingHints hints)`

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`
`protected static java.awt.image.ColorModel` `fixColorModel(CachableRed src)`
`protected java.awt.image.SampleModel` `fixSampleModel(CachableRed src, java.awt.image.ColorModel cm, java.awt.Rectangle bounds)` This function 'fixes' the source's sample model.
`void` `genRect(java.awt.image.WritableRaster wr)`
`CachableRed` `getSource()`
`java.awt.image.Raster` `getTile(int x, int y)`
`java.awt.geom.AffineTransform` `getTransform()`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AffineRed

    public AffineRed(CachableRed src,
                     java.awt.geom.AffineTransform src2me,
                     java.awt.RenderingHints hints)

Method Detail

### getTransform

    public java.awt.geom.AffineTransform getTransform()

### getSource

    public CachableRed getSource()

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

### getTile

    public java.awt.image.Raster getTile(int x,
                                         int y)

  Specified by:
    `getTile` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### genRect

    public void genRect(java.awt.image.WritableRaster wr)

### fixColorModel

    protected static java.awt.image.ColorModel fixColorModel(CachableRed src)

### fixSampleModel

    protected java.awt.image.SampleModel fixSampleModel(CachableRed src,
                                                        java.awt.image.ColorModel cm,
                                                        java.awt.Rectangle bounds)

  This function 'fixes' the source's sample model. right now it just ensures that the sample model isn't much larger than my width.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.